package io.reisub.dreambot.cagility.tasks;

import org.dreambot.api.methods.Calculations;
import org.dreambot.api.methods.MethodContext;
import org.dreambot.api.methods.walking.impl.Walking;
import org.dreambot.api.script.TaskNode;

public class TurnOnRun extends TaskNode {
    private int threshold;

    public TurnOnRun() {
        threshold = Calculations.random(75, 100);
    }

    @Override
    public boolean accept() {
        return !Walking.isRunEnabled() && Walking.getRunEnergy() > threshold;
    }

    @Override
    public int execute() {
        Walking.toggleRun();

        if (MethodContext.sleepUntil(Walking::isRunEnabled, Calculations.random(1500, 2000))) {
            threshold = Calculations.random(75, 100);
        }

        return Calculations.random(200, 400);
    }
}
